import { AxiosInstance, AxiosResponse } from 'axios';
export declare class ProfileAPIClient {
    protected instance: AxiosInstance;
    protected baseUrl: string;
    protected jsonParseReviver: ((key: string, value: any) => any) | undefined;
    constructor(baseUrl: string, instance?: AxiosInstance);
    /**
     * @return Success
     */
    accountValidateAccountParentHasRelationship(accountIdOrigin: number, accountIdParent: number, signal?: AbortSignal): Promise<boolean>;
    protected processAccountValidateAccountParentHasRelationship(response: AxiosResponse): Promise<boolean>;
    /**
     * @return Success
     */
    accountGet(id: number, signal?: AbortSignal): Promise<AccountRS>;
    protected processAccountGet(response: AxiosResponse): Promise<AccountRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    accountPut(id: number, body: AccountRQ | undefined, signal?: AbortSignal): Promise<AccountRS>;
    protected processAccountPut(response: AxiosResponse): Promise<AccountRS>;
    /**
     * @return Success
     */
    accountDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processAccountDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    accountPost(body: AccountRQ | undefined, signal?: AbortSignal): Promise<AccountRS>;
    protected processAccountPost(response: AxiosResponse): Promise<AccountRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    accountQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<AccountRSQueryRecordsRS>;
    protected processAccountQuery(response: AxiosResponse): Promise<AccountRSQueryRecordsRS>;
    /**
     * @return Success
     */
    accountActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAccountActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    accountInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAccountInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    amadeusCredentialGet(id: number, signal?: AbortSignal): Promise<AmadeusCredentialSupplierCredential>;
    protected processAmadeusCredentialGet(response: AxiosResponse): Promise<AmadeusCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    amadeusCredentialPut(id: number, body: AmadeusCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AmadeusCredentialSupplierCredential>;
    protected processAmadeusCredentialPut(response: AxiosResponse): Promise<AmadeusCredentialSupplierCredential>;
    /**
     * @return Success
     */
    amadeusCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processAmadeusCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    amadeusCredentialPost(body: AmadeusCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AmadeusCredentialSupplierCredential>;
    protected processAmadeusCredentialPost(response: AxiosResponse): Promise<AmadeusCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    amadeusCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<AmadeusCredentialSupplierCredentialQueryRecordsRS>;
    protected processAmadeusCredentialQuery(response: AxiosResponse): Promise<AmadeusCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    amadeusCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAmadeusCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    amadeusCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAmadeusCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    americanAirlinesCredentialGet(id: number, signal?: AbortSignal): Promise<AmericanAirlinesCredentialSupplierCredential>;
    protected processAmericanAirlinesCredentialGet(response: AxiosResponse): Promise<AmericanAirlinesCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    americanAirlinesCredentialPut(id: number, body: AmericanAirlinesCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AmericanAirlinesCredentialSupplierCredential>;
    protected processAmericanAirlinesCredentialPut(response: AxiosResponse): Promise<AmericanAirlinesCredentialSupplierCredential>;
    /**
     * @return Success
     */
    americanAirlinesCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processAmericanAirlinesCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    americanAirlinesCredentialPost(body: AmericanAirlinesCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AmericanAirlinesCredentialSupplierCredential>;
    protected processAmericanAirlinesCredentialPost(response: AxiosResponse): Promise<AmericanAirlinesCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    americanAirlinesCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<AmericanAirlinesCredentialSupplierCredentialQueryRecordsRS>;
    protected processAmericanAirlinesCredentialQuery(response: AxiosResponse): Promise<AmericanAirlinesCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    americanAirlinesCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAmericanAirlinesCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    americanAirlinesCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAmericanAirlinesCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    apiKeyPost(body: ApiKeyRQ | undefined, signal?: AbortSignal): Promise<ApiKeyRS>;
    protected processApiKeyPost(response: AxiosResponse): Promise<ApiKeyRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    apiKeyPut(id: number, body: ApiKeyRQ | undefined, signal?: AbortSignal): Promise<ApiKeyRS>;
    protected processApiKeyPut(response: AxiosResponse): Promise<ApiKeyRS>;
    /**
     * @return Success
     */
    apiKeyDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processApiKeyDelete(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    apiKeyGet(id: number, signal?: AbortSignal): Promise<ApiKeyRS>;
    protected processApiKeyGet(response: AxiosResponse): Promise<ApiKeyRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    apiKeyQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<ApiKeyRSQueryRecordsRS>;
    protected processApiKeyQuery(response: AxiosResponse): Promise<ApiKeyRSQueryRecordsRS>;
    /**
     * @return Success
     */
    apiKeyActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processApiKeyActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    apiKeyInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processApiKeyInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    aviancaCredentialGet(id: number, signal?: AbortSignal): Promise<AviancaCredentialSupplierCredential>;
    protected processAviancaCredentialGet(response: AxiosResponse): Promise<AviancaCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    aviancaCredentialPut(id: number, body: AviancaCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AviancaCredentialSupplierCredential>;
    protected processAviancaCredentialPut(response: AxiosResponse): Promise<AviancaCredentialSupplierCredential>;
    /**
     * @return Success
     */
    aviancaCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processAviancaCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    aviancaCredentialPost(body: AviancaCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AviancaCredentialSupplierCredential>;
    protected processAviancaCredentialPost(response: AxiosResponse): Promise<AviancaCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    aviancaCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<AviancaCredentialSupplierCredentialQueryRecordsRS>;
    protected processAviancaCredentialQuery(response: AxiosResponse): Promise<AviancaCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    aviancaCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAviancaCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    aviancaCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAviancaCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    azulCredentialGet(id: number, signal?: AbortSignal): Promise<AzulCredentialSupplierCredential>;
    protected processAzulCredentialGet(response: AxiosResponse): Promise<AzulCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    azulCredentialPut(id: number, body: AzulCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AzulCredentialSupplierCredential>;
    protected processAzulCredentialPut(response: AxiosResponse): Promise<AzulCredentialSupplierCredential>;
    /**
     * @return Success
     */
    azulCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processAzulCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    azulCredentialPost(body: AzulCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<AzulCredentialSupplierCredential>;
    protected processAzulCredentialPost(response: AxiosResponse): Promise<AzulCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    azulCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<AzulCredentialSupplierCredentialQueryRecordsRS>;
    protected processAzulCredentialQuery(response: AxiosResponse): Promise<AzulCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    azulCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAzulCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    azulCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processAzulCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    cionsCredentialGet(id: number, signal?: AbortSignal): Promise<CionsCredentialSupplierCredential>;
    protected processCionsCredentialGet(response: AxiosResponse): Promise<CionsCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    cionsCredentialPut(id: number, body: CionsCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<CionsCredentialSupplierCredential>;
    protected processCionsCredentialPut(response: AxiosResponse): Promise<CionsCredentialSupplierCredential>;
    /**
     * @return Success
     */
    cionsCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processCionsCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    cionsCredentialPost(body: CionsCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<CionsCredentialSupplierCredential>;
    protected processCionsCredentialPost(response: AxiosResponse): Promise<CionsCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    cionsCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<CionsCredentialSupplierCredentialQueryRecordsRS>;
    protected processCionsCredentialQuery(response: AxiosResponse): Promise<CionsCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    cionsCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processCionsCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    cionsCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processCionsCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    clickBusCredentialGet(id: number, signal?: AbortSignal): Promise<ClickBusCredentialSupplierCredential>;
    protected processClickBusCredentialGet(response: AxiosResponse): Promise<ClickBusCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    clickBusCredentialPut(id: number, body: ClickBusCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<ClickBusCredentialSupplierCredential>;
    protected processClickBusCredentialPut(response: AxiosResponse): Promise<ClickBusCredentialSupplierCredential>;
    /**
     * @return Success
     */
    clickBusCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processClickBusCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    clickBusCredentialPost(body: ClickBusCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<ClickBusCredentialSupplierCredential>;
    protected processClickBusCredentialPost(response: AxiosResponse): Promise<ClickBusCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    clickBusCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<ClickBusCredentialSupplierCredentialQueryRecordsRS>;
    protected processClickBusCredentialQuery(response: AxiosResponse): Promise<ClickBusCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    clickBusCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processClickBusCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    clickBusCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processClickBusCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    commercialAgreementGet(id: number, signal?: AbortSignal): Promise<AirCommercialAgreementRS>;
    protected processCommercialAgreementGet(response: AxiosResponse): Promise<AirCommercialAgreementRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    commercialAgreementPut(id: number, body: AirCommercialAgreementRQ | undefined, signal?: AbortSignal): Promise<AirCommercialAgreementRS>;
    protected processCommercialAgreementPut(response: AxiosResponse): Promise<AirCommercialAgreementRS>;
    /**
     * @return Success
     */
    commercialAgreementDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processCommercialAgreementDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    commercialAgreementPost(body: AirCommercialAgreementRQ | undefined, signal?: AbortSignal): Promise<AirCommercialAgreementRS>;
    protected processCommercialAgreementPost(response: AxiosResponse): Promise<AirCommercialAgreementRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    commercialAgreementQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<AirCommercialAgreementRSQueryRecordsRS>;
    protected processCommercialAgreementQuery(response: AxiosResponse): Promise<AirCommercialAgreementRSQueryRecordsRS>;
    /**
     * @return Success
     */
    commercialAgreementActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processCommercialAgreementActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    commercialAgreementInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processCommercialAgreementInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    copaCredentialGet(id: number, signal?: AbortSignal): Promise<CopaCredentialSupplierCredential>;
    protected processCopaCredentialGet(response: AxiosResponse): Promise<CopaCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    copaCredentialPut(id: number, body: CopaCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<CopaCredentialSupplierCredential>;
    protected processCopaCredentialPut(response: AxiosResponse): Promise<CopaCredentialSupplierCredential>;
    /**
     * @return Success
     */
    copaCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processCopaCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    copaCredentialPost(body: CopaCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<CopaCredentialSupplierCredential>;
    protected processCopaCredentialPost(response: AxiosResponse): Promise<CopaCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    copaCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<CopaCredentialSupplierCredentialQueryRecordsRS>;
    protected processCopaCredentialQuery(response: AxiosResponse): Promise<CopaCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    copaCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processCopaCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    copaCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processCopaCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    envisionCredentialGet(id: number, signal?: AbortSignal): Promise<EnvisionCredentialSupplierCredential>;
    protected processEnvisionCredentialGet(response: AxiosResponse): Promise<EnvisionCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    envisionCredentialPut(id: number, body: EnvisionCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<EnvisionCredentialSupplierCredential>;
    protected processEnvisionCredentialPut(response: AxiosResponse): Promise<EnvisionCredentialSupplierCredential>;
    /**
     * @return Success
     */
    envisionCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processEnvisionCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    envisionCredentialPost(body: EnvisionCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<EnvisionCredentialSupplierCredential>;
    protected processEnvisionCredentialPost(response: AxiosResponse): Promise<EnvisionCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    envisionCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<EnvisionCredentialSupplierCredentialQueryRecordsRS>;
    protected processEnvisionCredentialQuery(response: AxiosResponse): Promise<EnvisionCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    envisionCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processEnvisionCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    envisionCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processEnvisionCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    golCredentialGet(id: number, signal?: AbortSignal): Promise<GolCredentialSupplierCredential>;
    protected processGolCredentialGet(response: AxiosResponse): Promise<GolCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    golCredentialPut(id: number, body: GolCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<GolCredentialSupplierCredential>;
    protected processGolCredentialPut(response: AxiosResponse): Promise<GolCredentialSupplierCredential>;
    /**
     * @return Success
     */
    golCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processGolCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    golCredentialPost(body: GolCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<GolCredentialSupplierCredential>;
    protected processGolCredentialPost(response: AxiosResponse): Promise<GolCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    golCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<GolCredentialSupplierCredentialQueryRecordsRS>;
    protected processGolCredentialQuery(response: AxiosResponse): Promise<GolCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    golCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processGolCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    golCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processGolCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    iberiaCredentialGet(id: number, signal?: AbortSignal): Promise<IberiaCredentialSupplierCredential>;
    protected processIberiaCredentialGet(response: AxiosResponse): Promise<IberiaCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    iberiaCredentialPut(id: number, body: IberiaCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<IberiaCredentialSupplierCredential>;
    protected processIberiaCredentialPut(response: AxiosResponse): Promise<IberiaCredentialSupplierCredential>;
    /**
     * @return Success
     */
    iberiaCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processIberiaCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    iberiaCredentialPost(body: IberiaCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<IberiaCredentialSupplierCredential>;
    protected processIberiaCredentialPost(response: AxiosResponse): Promise<IberiaCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    iberiaCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<IberiaCredentialSupplierCredentialQueryRecordsRS>;
    protected processIberiaCredentialQuery(response: AxiosResponse): Promise<IberiaCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    iberiaCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processIberiaCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    iberiaCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processIberiaCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    latamCredentialGet(id: number, signal?: AbortSignal): Promise<LatamCredentialSupplierCredential>;
    protected processLatamCredentialGet(response: AxiosResponse): Promise<LatamCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    latamCredentialPut(id: number, body: LatamCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<LatamCredentialSupplierCredential>;
    protected processLatamCredentialPut(response: AxiosResponse): Promise<LatamCredentialSupplierCredential>;
    /**
     * @return Success
     */
    latamCredentialDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processLatamCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    latamCredentialPost(body: LatamCredentialSupplierCredentialRQ | undefined, signal?: AbortSignal): Promise<LatamCredentialSupplierCredential>;
    protected processLatamCredentialPost(response: AxiosResponse): Promise<LatamCredentialSupplierCredential>;
    /**
     * @param body (optional)
     * @return Success
     */
    latamCredentialQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<LatamCredentialSupplierCredentialQueryRecordsRS>;
    protected processLatamCredentialQuery(response: AxiosResponse): Promise<LatamCredentialSupplierCredentialQueryRecordsRS>;
    /**
     * @return Success
     */
    latamCredentialActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processLatamCredentialActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    latamCredentialInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processLatamCredentialInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    supplierCredentialGetAllCredentials(signal?: AbortSignal): Promise<SupplierCredential[]>;
    protected processSupplierCredentialGetAllCredentials(response: AxiosResponse): Promise<SupplierCredential[]>;
    /**
     * @param id (optional)
     * @return Success
     */
    supplierCredentialDelete(id: number | undefined, signal?: AbortSignal): Promise<void>;
    protected processSupplierCredentialDelete(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    supplierCredentialGetAllSuppliers(signal?: AbortSignal): Promise<Supplier[]>;
    protected processSupplierCredentialGetAllSuppliers(response: AxiosResponse): Promise<Supplier[]>;
    /**
     * @return Success
     */
    userRetrieveByClaim(audienceValue: string, email: string, signal?: AbortSignal): Promise<User>;
    protected processUserRetrieveByClaim(response: AxiosResponse): Promise<User>;
    /**
     * @param body (optional)
     * @return Success
     */
    userInviteUser(body: InviteUserRQ | undefined, signal?: AbortSignal): Promise<void>;
    protected processUserInviteUser(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    userIsUserInvited(body: IsUserInvitedRQ | undefined, signal?: AbortSignal): Promise<IsUserInvitedRS>;
    protected processUserIsUserInvited(response: AxiosResponse): Promise<IsUserInvitedRS>;
    /**
     * @return Success
     */
    userGetLoggedUser(signal?: AbortSignal): Promise<LoggedUserRS>;
    protected processUserGetLoggedUser(response: AxiosResponse): Promise<LoggedUserRS>;
    /**
     * @return Success
     */
    userGetSetupProgress(signal?: AbortSignal): Promise<GetSetupProgressRS>;
    protected processUserGetSetupProgress(response: AxiosResponse): Promise<GetSetupProgressRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    userPost(body: CreateUserRQ | undefined, signal?: AbortSignal): Promise<CreateUserRS>;
    protected processUserPost(response: AxiosResponse): Promise<CreateUserRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    userPatch(body: UpdateUserRQ | undefined, signal?: AbortSignal): Promise<UpdateUserRS>;
    protected processUserPatch(response: AxiosResponse): Promise<UpdateUserRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    userPhonePatch(body: UpdateUserPhoneRQ | undefined, signal?: AbortSignal): Promise<UpdateUserRS>;
    protected processUserPhonePatch(response: AxiosResponse): Promise<UpdateUserRS>;
    /**
     * @return Success
     */
    userGet(id: number, signal?: AbortSignal): Promise<UserRS>;
    protected processUserGet(response: AxiosResponse): Promise<UserRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    userPut(id: number, body: UserRQ | undefined, signal?: AbortSignal): Promise<UserRS>;
    protected processUserPut(response: AxiosResponse): Promise<UserRS>;
    /**
     * @return Success
     */
    userDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processUserDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    userQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<UserRSQueryRecordsRS>;
    protected processUserQuery(response: AxiosResponse): Promise<UserRSQueryRecordsRS>;
    /**
     * @return Success
     */
    userActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processUserActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    userInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processUserInactive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    userGroupGet(id: number, signal?: AbortSignal): Promise<UserGroupRS>;
    protected processUserGroupGet(response: AxiosResponse): Promise<UserGroupRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    userGroupPut(id: number, body: UserGroupRQ | undefined, signal?: AbortSignal): Promise<UserGroupRS>;
    protected processUserGroupPut(response: AxiosResponse): Promise<UserGroupRS>;
    /**
     * @return Success
     */
    userGroupDelete(id: number, signal?: AbortSignal): Promise<void>;
    protected processUserGroupDelete(response: AxiosResponse): Promise<void>;
    /**
     * @param body (optional)
     * @return Success
     */
    userGroupPost(body: UserGroupRQ | undefined, signal?: AbortSignal): Promise<UserGroupRS>;
    protected processUserGroupPost(response: AxiosResponse): Promise<UserGroupRS>;
    /**
     * @param body (optional)
     * @return Success
     */
    userGroupQuery(body: QueryRecordsRQ | undefined, signal?: AbortSignal): Promise<UserGroupRSQueryRecordsRS>;
    protected processUserGroupQuery(response: AxiosResponse): Promise<UserGroupRSQueryRecordsRS>;
    /**
     * @return Success
     */
    userGroupActive(id: number, signal?: AbortSignal): Promise<void>;
    protected processUserGroupActive(response: AxiosResponse): Promise<void>;
    /**
     * @return Success
     */
    userGroupInactive(id: number, signal?: AbortSignal): Promise<void>;
    protected processUserGroupInactive(response: AxiosResponse): Promise<void>;
}
export interface DBRecord {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
}
export interface BaseProfileRecord extends DBRecord {
    accountId?: number;
}
export interface Account extends BaseProfileRecord {
    name?: string | undefined;
    organizationId?: number;
    parentId?: number | undefined;
    contactInformation?: ContactInformation;
}
export interface BaseRQ {
    active?: boolean;
}
export interface AccountRQ extends BaseRQ {
    accountId: number;
    name: string;
    organizationId: number;
    parentId?: number;
    contactInformation?: ContactInformation;
}
export interface BaseRS {
    active?: boolean;
    accountId?: number;
    id?: number;
}
export interface AccountRS extends BaseRS {
    name?: string | undefined;
    organizationId?: number;
    parentId?: number | undefined;
    contactInformation?: ContactInformation;
}
export interface AccountRSQueryRecordsRS {
    records?: AccountRS[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface Address {
    street?: string | undefined;
    number?: string | undefined;
    complement?: string | undefined;
    zipCode?: string | undefined;
    neighborhood?: string | undefined;
    city?: string | undefined;
    state?: string | undefined;
    countryCode?: string | undefined;
    longitude?: number | undefined;
    latitude?: number | undefined;
}
export declare enum AgeGroup {
    Adult = "Adult",
    Child = "Child",
    Infant = "Infant"
}
export interface AgreementDifference {
    adtPercentage?: number | undefined;
    adtAmount?: Money;
    adtPublicFare?: Money;
    chdPercentage?: number | undefined;
    chdAmount?: Money;
    chdPublicFare?: Money;
    infPercentage?: number | undefined;
    infAmount?: Money;
    infPublicFare?: Money;
}
export interface AirCommercialAgreement {
    code?: string | undefined;
    airCompanyCode?: string | undefined;
    type?: AirCommercialAgreementType;
    supplierSystemName?: string | undefined;
    travelerCodeOverride?: string | undefined;
}
export interface AirCommercialAgreementRQ extends BaseRQ {
    accountId: number;
    name: string;
    commercialAgreement?: AirCommercialAgreement;
    allowedBoardRanges?: DateTimeRange[] | undefined;
    allowedIssueRanges?: DateTimeRange[] | undefined;
    allowedOrigins?: number[] | undefined;
    allowedDestinations?: number[] | undefined;
    allowedTripType?: TripType;
}
export interface AirCommercialAgreementRS extends BaseRS {
    name?: string | undefined;
    commercialAgreement?: AirCommercialAgreement;
    allowedBoardRanges?: DateTimeRange[] | undefined;
    allowedIssueRanges?: DateTimeRange[] | undefined;
    allowedOrigins?: number[] | undefined;
    allowedDestinations?: number[] | undefined;
    allowedTripType?: TripType;
}
export interface AirCommercialAgreementRSQueryRecordsRS {
    records?: AirCommercialAgreementRS[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface AirCommercialAgreementRecord extends BaseProfileRecord {
    name?: string | undefined;
    commercialAgreement?: AirCommercialAgreement;
    allowedBoardRanges?: DateTimeRange[] | undefined;
    allowedIssueRanges?: DateTimeRange[] | undefined;
    allowedOrigins?: number[] | undefined;
    allowedDestinations?: number[] | undefined;
    allowedTripType?: TripType;
}
export declare enum AirCommercialAgreementType {
    Contract = "Contract",
    Corporate = "Corporate",
    Account = "Account",
    TourCode = "TourCode",
    PTC = "PTC"
}
export interface AirCompany extends DBRecord {
    code?: string | undefined;
    name?: string | undefined;
    displayName?: string | undefined;
    showOnEngine?: boolean;
}
export interface Reservation {
    locator?: string | undefined;
    supplierSystem?: string | undefined;
    status?: ReservationStatus;
    createdWithEnvisionSystem?: boolean;
    supplierExpirationTime?: Date | undefined;
    expirationTime?: Date | undefined;
    supplierCredentialsIdentification?: string | undefined;
    travellers?: Traveller[] | undefined;
    bookTime?: Date;
    cancellationDeadlineTime?: Date | undefined;
    remarks?: Remark[] | undefined;
    penalty?: Money;
    balanceDue?: Money;
    totalValue?: Money;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    payments?: Payment[] | undefined;
    type?: ReservationType;
    flightGroups?: FlightGroup[] | undefined;
}
export interface AirReservation extends Reservation {
    flightGroups?: FlightGroup[] | undefined;
    bookingFares?: BookingFare[] | undefined;
    osIs?: OSI[] | undefined;
    ssRs?: SSR[] | undefined;
    frequentFlyers?: FrequentFlyer[] | undefined;
    tsAs?: TSA[] | undefined;
    seats?: AirReservationSeat[] | undefined;
    tickets?: AirTicket[] | undefined;
    ticketsPaymentsRelationships?: TicketsPaymentsRelationship[] | undefined;
    capabilities?: AirReservationCapabilities;
    refunds?: AirReservationRefund[] | undefined;
    credits?: AirReservationCredit[] | undefined;
    type?: ReservationType;
}
export interface AirReservationCapabilities {
    cancel?: boolean;
    issue?: boolean;
    split?: boolean;
    reassessFare?: boolean;
    alterFlightGroups?: boolean;
    addRemarks?: boolean;
    removeRemarks?: boolean;
    addSSRs?: boolean;
    removeSSRs?: boolean;
    addOSIs?: boolean;
    removeOSIs?: boolean;
    addTSAs?: boolean;
    removeTSAs?: boolean;
    addFrequentFlyers?: boolean;
    removeFrequentFlyers?: boolean;
    issueMode?: AirReservationIssueMode;
}
export interface AirReservationCredit {
    totalAmount?: Money;
    dateReleased?: Date;
}
export declare enum AirReservationIssueMode {
    ByTicket = "ByTicket",
    ByBalance = "ByBalance"
}
export interface Record extends DBRecord {
    readonly recordTypeName?: string | undefined;
    accountId?: number;
    parentId?: number;
    identifier?: string | undefined;
    relationships?: Relationship[] | undefined;
    [key: string]: any;
}
export interface AirReservationRecord extends Record {
    readonly recordTypeName?: string | undefined;
    tripAPIOrder?: TripAPIOrder;
    origin?: string | undefined;
    destination?: string | undefined;
    startDate?: Date | undefined;
    ciaNames?: string | undefined;
    [key: string]: any;
}
export interface AirReservationRefund {
    totalAmount?: Money;
    authorizationCode?: string | undefined;
    ticketNumber?: string | undefined;
    dateRefunded?: Date;
}
export interface AirReservationSeat {
    identification?: string | undefined;
    flightNumber?: string | undefined;
    travellerName?: string | undefined;
    originalValue?: Money;
    equivalentValue?: Money;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    status?: SeatStatus;
    credentialIdentifier?: string | undefined;
}
export interface AirSearchCachedResponse extends DBRecord {
    flightGroups?: FlightGroup[] | undefined;
}
export interface AirSeatRecord extends Record {
    readonly recordTypeName?: string | undefined;
    airReservationSeat?: AirReservationSeat;
    airReservation?: AirReservation;
    [key: string]: any;
}
export interface AirTicket {
    number?: string | undefined;
    status?: AirTicketStatus;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    issueTime?: Date;
    bookingFare?: BookingFare;
    travellerName?: string | undefined;
    comission?: string | undefined;
    endorsement?: string | undefined;
    tourCode?: string | undefined;
    ticketRefund?: AirTicketRefund;
    penalty?: Money;
    discount?: Money;
    pnrLocator?: string | undefined;
    supplierSystemName?: string | undefined;
    issuerAirCompanyCode?: string | undefined;
    flights?: Flight[] | undefined;
    credentialIdentifier?: string | undefined;
}
export interface AirTicketRecord extends Record {
    readonly recordTypeName?: string | undefined;
    airTicket?: AirTicket;
    airReservation?: AirReservation;
    origin?: string | undefined;
    destination?: string | undefined;
    startDate?: Date | undefined;
    ciaNames?: string | undefined;
    [key: string]: any;
}
export interface AirTicketRefund {
    penalty?: Money;
    totalRefunded?: Money;
    taxesAmount?: Money;
    fareAmount?: Money;
    duTaxes?: Money;
    authorizationCode?: string | undefined;
    message?: string | undefined;
}
export interface AirTicketReplacementInformation {
    ticketNumber?: string | undefined;
}
export declare enum AirTicketStatus {
    NotIssued = "NotIssued",
    Issued = "Issued",
    Pending = "Pending",
    WaitingForNumber = "WaitingForNumber",
    Cancelled = "Cancelled",
    Replaced = "Replaced",
    Refunded = "Refunded"
}
export interface Credential {
    readonly supplierSystemName?: string | undefined;
    travelAgencyContactInformation?: CompanyContactInformation;
    maxSessionPoolConnections?: number;
    isProductionEnvironment?: boolean;
    credentialPublicFare?: Credential;
}
export interface AmadeusCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    url?: string | undefined;
    userID?: string | undefined;
    password?: string | undefined;
    officeID?: string | undefined;
    wsap?: string | undefined;
    agentDutyCode?: string | undefined;
    marketIataCode?: string | undefined;
    excludeIssueAirCompanies?: string[] | undefined;
}
export interface AmadeusCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: AmadeusCredential;
}
export interface AmadeusCredentialSupplierCredentialQueryRecordsRS {
    records?: AmadeusCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface AmadeusCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: AmadeusCredential;
}
export interface FareLogixCredential extends Credential {
    agency?: string | undefined;
    agencyPassword?: string | undefined;
    iata?: string | undefined;
    pcc?: string | undefined;
    subscriptionKey?: string | undefined;
    url?: string | undefined;
    user?: string | undefined;
    userPassword?: string | undefined;
}
export interface AmericanAirlinesCredential extends FareLogixCredential {
    readonly supplierSystemName?: string | undefined;
}
export interface AmericanAirlinesCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: AmericanAirlinesCredential;
}
export interface AmericanAirlinesCredentialSupplierCredentialQueryRecordsRS {
    records?: AmericanAirlinesCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface AmericanAirlinesCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: AmericanAirlinesCredential;
}
export interface ApiKey extends BaseProfileRecord {
    externalId?: string | undefined;
    token?: string | undefined;
    name?: string | undefined;
    userId?: number;
}
export interface ApiKeyRQ extends BaseRQ {
    accountId: number;
    name: string;
    userId: number;
}
export interface ApiKeyRS extends BaseRS {
    externalId?: string | undefined;
    identifier?: string | undefined;
    id?: number;
    name?: string | undefined;
    userId?: number;
    username?: string | undefined;
}
export interface ApiKeyRSQueryRecordsRS {
    records?: ApiKeyRS[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface AviancaCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    url?: string | undefined;
    password?: string | undefined;
    lssOrg?: string | undefined;
    oid?: string | undefined;
    dutyCode?: string | undefined;
    lssUser?: string | undefined;
    subscriptionKey?: string | undefined;
    oAuthUrl?: string | undefined;
    oAuthGrantType?: string | undefined;
    oAuthClientId?: string | undefined;
    oAuthClientSecret?: string | undefined;
    oAuthResource?: string | undefined;
    currencyCode?: string | undefined;
    iata?: string | undefined;
    pointOfSaleCountryCode?: string | undefined;
    aggregatorId?: string | undefined;
    headerURL?: string | undefined;
    readonly hasOAuth?: boolean;
}
export interface AviancaCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: AviancaCredential;
}
export interface AviancaCredentialSupplierCredentialQueryRecordsRS {
    records?: AviancaCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface AviancaCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: AviancaCredential;
}
export interface AzulCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    url?: string | undefined;
    apiKey?: string | undefined;
    userAgent?: string | undefined;
    username?: string | undefined;
    password?: string | undefined;
}
export interface AzulCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: AzulCredential;
}
export interface AzulCredentialSupplierCredentialQueryRecordsRS {
    records?: AzulCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface AzulCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: AzulCredential;
}
export interface BookingFare {
    agreementCode?: string | undefined;
    exchangeRate?: number | undefined;
    originalTaxes?: Money;
    taxes?: Money;
    originalFare?: Money;
    fare?: Money;
    displayFare?: Money;
    markupedFare?: Money;
    duTaxes?: Money;
    dvTaxes?: Money;
    total?: Money;
    penalty?: Money;
    fareBasis?: string | undefined;
    travellerAgeGroup?: AgeGroup;
    fareType?: FareType;
    supplierSystem?: string | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    travellersCount?: number;
    validatingCarrier?: string | undefined;
    exchangeRateDate?: Date;
    travellerNames?: string[] | undefined;
    fareRules?: string | undefined;
    credentialIdentifier?: string | undefined;
    agreementDifference?: AgreementDifference;
}
export interface Bus {
    origin?: string | undefined;
    destination?: string | undefined;
    departure?: Date;
    arrival?: Date;
    duration?: number;
    companyName?: string | undefined;
    companyLogo?: string | undefined;
    category?: string | undefined;
    freeSeats?: number;
    fareOption?: BusFareOption;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
}
export interface BusFareOption {
    amount?: Money;
    discount?: Money;
    boardingFee?: Money;
    insurance?: Money;
}
export interface BusGroup {
    supplierSystem?: string | undefined;
    category?: string | undefined;
    companyName?: string | undefined;
    companyLogo?: string | undefined;
    duration?: number;
    freeSeats?: number;
    buses?: Bus[] | undefined;
    origin?: string | undefined;
    destination?: string | undefined;
    ruleText?: string | undefined;
    price?: Money;
    firstDepartureTime?: Date;
    tags?: string[] | undefined;
}
export interface BusReservation extends Reservation {
    busTickets?: BusTicket[] | undefined;
    busSeats?: BusSeat[] | undefined;
    busGroups?: BusGroup[] | undefined;
    type?: ReservationType;
}
export interface BusSeat {
    number?: number;
    line?: number;
    column?: number;
    busy?: boolean;
    category?: string | undefined;
    fareOption?: BusFareOption;
    travelKey?: string | undefined;
}
export interface BusTicket {
    supplierTicketCode?: string | undefined;
    floor?: number;
    seat?: BusSeat;
    busGroup?: BusGroup;
    bus?: Bus;
    isOutbound?: boolean;
    traveller?: Traveller;
    couponCode?: string | undefined;
    couponTotalDiscount?: number | undefined;
    hasInsurance?: boolean;
}
export declare enum CabinType {
    FirstClass = "FirstClass",
    Business = "Business",
    Economy = "Economy",
    PremiumEconomy = "PremiumEconomy"
}
export interface ChangeHistory extends DBRecord {
    operations?: Operation[] | undefined;
    recordId?: number;
}
export interface CionsCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    airCompanyCode?: string | undefined;
    email?: string | undefined;
    password?: string | undefined;
    url?: string | undefined;
}
export interface CionsCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: CionsCredential;
}
export interface CionsCredentialSupplierCredentialQueryRecordsRS {
    records?: CionsCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface CionsCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: CionsCredential;
}
export interface ClickBusCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    url?: string | undefined;
    apiKey?: string | undefined;
}
export interface ClickBusCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: ClickBusCredential;
}
export interface ClickBusCredentialSupplierCredentialQueryRecordsRS {
    records?: ClickBusCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface ClickBusCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: ClickBusCredential;
}
export interface ContactInformation {
    email?: string | undefined;
    phone?: Phone;
    address?: Address;
}
export interface CompanyContactInformation extends ContactInformation {
    name?: string | undefined;
}
export declare enum Comparators {
    Equals = "Equals",
    NotEquals = "NotEquals",
    GreaterThan = "GreaterThan",
    GreaterThanOrEquals = "GreaterThanOrEquals",
    LessThan = "LessThan",
    LessThanOrEquals = "LessThanOrEquals",
    Contains = "Contains",
    NotContains = "NotContains",
    StartsWith = "StartsWith",
    EndsWith = "EndsWith",
    In = "In",
    NotIn = "NotIn",
    DayOfWeek = "DayOfWeek",
    Regex = "Regex"
}
export declare enum ContactPhoneType {
    Unknown = "Unknown",
    BusinessPhone = "BusinessPhone",
    HomePhoneNumber = "HomePhoneNumber",
    MobilePhone = "MobilePhone"
}
export interface CopaCredential extends FareLogixCredential {
    readonly supplierSystemName?: string | undefined;
}
export interface CopaCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: CopaCredential;
}
export interface CopaCredentialSupplierCredentialQueryRecordsRS {
    records?: CopaCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface CopaCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: CopaCredential;
}
export interface CreateUserRQ {
    treatment: string;
    firstName: string;
    lastName: string;
    birthDate: Date;
    gender: Gender;
    email: string;
    phone?: string | undefined;
    document: string;
    documentType: DocumentTypes;
    hasSystemAccess: boolean;
}
export interface UpdateUserRQ {
    id: number;
    userId: number;
    firstName: string;
    lastName: string;
    birthDate: string;
    gender: Gender;
}
export interface UpdateUserPhoneRQ {
    id: number;
    userId: number;
    phone: string;
}
export interface CreateUserRS {
    user?: UserRS;
    person?: PersonRecord;
}
export interface UpdateUserRS {
    user?: UserRS;
    person?: PersonRecord;
}
export interface CredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: Credential;
}
export interface CreditCardInformation {
    registeredCreditCardId?: number | undefined;
    creditCardNumber?: string | undefined;
    securityCode?: string | undefined;
    expireYear?: number;
    expireMonth?: number;
    providerCode?: string | undefined;
}
export interface DateTimeRange {
    min?: Date;
    max?: Date;
}
export interface Document {
    type?: DocumentTypes;
    value?: string | undefined;
    expirationDate?: Date | undefined;
    issuingCountry?: string | undefined;
}
export declare enum DocumentTypes {
    None = "None",
    Passport = "Passport",
    CPF = "CPF",
    Identity = "Identity"
}
export interface EnvisionCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    externalIdentifier?: string | undefined;
    username?: string | undefined;
}
export interface EnvisionCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: EnvisionCredential;
}
export interface EnvisionCredentialSupplierCredentialQueryRecordsRS {
    records?: EnvisionCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface EnvisionCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: EnvisionCredential;
}
export declare enum FareType {
    Public = "Public",
    Operator = "Operator",
    Private = "Private"
}
export interface PredicateItem {
    operator?: Operators;
}
export interface Field extends PredicateItem {
    name?: string | undefined;
    comparator?: Comparators;
    value?: string | undefined;
}
export interface FieldDefinition {
    name?: string | undefined;
    dataType?: FieldDefinitionDataType;
    required?: boolean;
    allowedValues?: string[] | undefined;
    formula?: string | undefined;
}
export declare enum FieldDefinitionDataType {
    Unknow = "Unknow",
    String = "String",
    Int = "Int",
    Decimal = "Decimal",
    Boolean = "Boolean",
    DateTime = "DateTime",
    Array = "Array",
    Object = "Object"
}
export interface Flight {
    arrivalAirportId?: number;
    departureAirportId?: number;
    durationInMinutes?: number;
    layoverInMinutes?: number;
    arrivalDateTime?: Date;
    departureDateTime?: Date;
    cabinType?: CabinType;
    airCompanyCode?: string | undefined;
    status?: string | undefined;
    operatedByAirCompanyCode?: string | undefined;
    flightNumber?: string | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    legs?: FlightLeg[] | undefined;
    classOfService?: string | undefined;
    aircraftType?: string | undefined;
    airCompanyLocator?: string | undefined;
    baggagesIncluded?: number | undefined;
    arrivalAirportIATA?: string | undefined;
    departureAirportIATA?: string | undefined;
    numberOfStops?: number | undefined;
}
export interface FlightGroup {
    /** Cia Aérea Emissora */
    issuerAirCompanyCode?: string | undefined;
    /** Fornecedor do Trecho */
    supplierSystem?: string | undefined;
    /** Duração em minutos do Trecho */
    durationInMinutes?: number;
    cityPairIndex?: number;
    /** Lista de voos do trecho */
    flights?: Flight[] | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    readonly arrivalTime?: Date;
    readonly departureTime?: Date;
    readonly originIATA?: string | undefined;
    readonly destinationIATA?: string | undefined;
    readonly stops?: number;
    credentialIdentifier?: string | undefined;
}
export interface FlightLeg {
    arrivalAirportIATA?: string | undefined;
    departureAirportIATA?: string | undefined;
    arrivalDateTime?: Date;
    departureDateTime?: Date;
    durationInMinutes?: number;
}
export interface FrequentFlyer {
    airCompanyCode?: string | undefined;
    number?: string | undefined;
    travellerName?: string | undefined;
}
export declare enum Gender {
    Male = "Male",
    Female = "Female"
}
export interface GetSetupProgressRS {
    userHasBeenCreated?: boolean;
    userHasBeenInvited?: boolean;
    credentialHasBeenCreated?: boolean;
    commercialAgreementHasBeenCreated?: boolean;
}
export interface GolCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    accountNumber?: string | undefined;
    accountingCity?: string | undefined;
    accountingCode?: string | undefined;
    officeStationCode?: string | undefined;
    organization?: string | undefined;
    password?: string | undefined;
    needChangeContext?: boolean;
    url?: string | undefined;
    username?: string | undefined;
    userType?: string | undefined;
}
export interface GolCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: GolCredential;
}
export interface GolCredentialSupplierCredentialQueryRecordsRS {
    records?: GolCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface GolCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: GolCredential;
}
export interface HitEntry extends DBRecord {
    organizationId?: number;
    userId?: number | undefined;
    accountId?: number;
    email?: string | undefined;
    extraInfo?: {
        [key: string]: any;
    } | undefined;
}
export interface IberiaCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    apiKey?: string | undefined;
    baseUrl?: string | undefined;
    iataNumber?: string | undefined;
}
export interface IberiaCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: IberiaCredential;
}
export interface IberiaCredentialSupplierCredentialQueryRecordsRS {
    records?: IberiaCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface IberiaCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: IberiaCredential;
}
export interface InviteUserRQ {
    email?: string | undefined;
    message?: string | undefined;
}
export interface IsUserInvitedRQ {
    inviteCode?: string | undefined;
}
export interface IsUserInvitedRS {
    isPermitted?: boolean;
}
export interface LatamCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    username?: string | undefined;
    password?: string | undefined;
    organization?: string | undefined;
    needContextChange?: boolean;
    accountingCity?: string | undefined;
    accountingCode?: string | undefined;
    iataNumber?: string | undefined;
    url?: string | undefined;
    wdUrl?: string | undefined;
    wdUsername?: string | undefined;
    wdPassword?: string | undefined;
    xApiKey?: string | undefined;
}
export interface LatamCredentialSupplierCredential {
    id?: number;
    active?: boolean;
    creationTime?: Date | undefined;
    lastUpdateTime?: Date | undefined;
    isDeleted?: boolean;
    accountId?: number;
    name?: string | undefined;
    credential?: LatamCredential;
}
export interface LatamCredentialSupplierCredentialQueryRecordsRS {
    records?: LatamCredentialSupplierCredential[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface LatamCredentialSupplierCredentialRQ {
    active?: boolean;
    accountId: number;
    name: string;
    credential: LatamCredential;
}
export interface LatamNDCCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    email?: string | undefined;
    username?: string | undefined;
    url?: string | undefined;
    countryCode?: string | undefined;
    lang?: string | undefined;
    oAuthUrl?: string | undefined;
    oAuthGrantType?: string | undefined;
    oAuthClientId?: string | undefined;
    oAuthClientSecret?: string | undefined;
    oAuthResource?: string | undefined;
    iataNumber?: string | undefined;
    aggregatorId?: string | undefined;
    aggregatorName?: string | undefined;
    agencyId?: string | undefined;
    wdUrl?: string | undefined;
    wdUsername?: string | undefined;
    wdPassword?: string | undefined;
    xApiKey?: string | undefined;
}
export interface Location extends DBRecord {
    iata?: string | undefined;
    country?: string | undefined;
    locationType?: LocationType;
    parentId?: number | undefined;
    coordinates?: Point;
    timeZone?: number | undefined;
    score?: number;
    code?: string | undefined;
    regionCode?: string | undefined;
    showInAir?: boolean;
    showInAirExpanded?: boolean;
    showInHotel?: boolean;
    showInHotelExpanded?: boolean;
    showInBus?: boolean;
    showInBusExpanded?: boolean;
    namesByCulture?: {
        [key: string]: string;
    } | undefined;
    supplierSystemInformations?: {
        [key: string]: {
            [key: string]: any;
        };
    } | undefined;
}
export declare enum LocationType {
    World = "World",
    Continent = "Continent",
    Country = "Country",
    State = "State",
    City = "City",
    Airport = "Airport",
    Region = "Region",
    Spot = "Spot",
    Port = "Port",
    BusStation = "BusStation",
    Hotel = "Hotel"
}
export interface LoggedUserRS {
    user?: UserRS;
    defaultUserAccount?: AccountRS;
}
export interface Money {
    value?: number;
    currencyCode?: string | undefined;
}
export interface OSI {
    code?: string | undefined;
    text?: string | undefined;
    airCompanyCode?: string | undefined;
    travellerName?: string | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
}
export interface Operation {
    path?: string | undefined;
    op?: string | undefined;
    value?: string | undefined;
}
export declare enum Operators {
    And = "And",
    Or = "Or"
}
export interface Organization extends DBRecord {
    name?: string | undefined;
    identifier?: string | undefined;
    public?: boolean;
    accountPlaceHolderId?: number | undefined;
    setupStepsCompleted?: boolean;
    defaultCulture?: string | undefined;
}
export interface PaginationParameters {
    skip?: number;
    limit?: number;
}
export interface Parenthesis extends PredicateItem {
    items?: PredicateItem[] | undefined;
}
export interface Payment {
    identification?: string | undefined;
    description?: string | undefined;
    totalValue?: Money;
    points?: number | undefined;
    firstInstallmentValue?: Money;
    otherInstallmentValue?: Money;
    authorizationTime?: Date | undefined;
    authorizationCode?: string | undefined;
    installments?: number | undefined;
    interest?: number | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    transactionId?: string | undefined;
    reversalTransactionId?: string | undefined;
    transactionTime?: Date | undefined;
    status?: PaymentStatus;
    method?: PaymentMethod;
    owner?: PaymentOwner;
    creditCardInformation?: CreditCardInformation;
    airTicketReplacementInformation?: AirTicketReplacementInformation;
    paymentBrokerName?: string | undefined;
}
export declare enum PaymentMethod {
    CreditCard = "CreditCard",
    Invoice = "Invoice",
    Points = "Points",
    AirTicketReplacement = "AirTicketReplacement",
    CreditCardRegistered = "CreditCardRegistered",
    Cash = "Cash",
    Billet = "Billet",
    Check = "Check",
    DirectPayment = "DirectPayment",
    BankTransfer = "BankTransfer",
    PointOfSale = "PointOfSale",
    Financial = "Financial",
    DiscountCoupon = "DiscountCoupon"
}
export interface PaymentOwner {
    name?: string | undefined;
    document?: string | undefined;
    birthDate?: Date | undefined;
    email?: string | undefined;
    address?: Address;
    buyerId?: number | undefined;
    documentType?: string | undefined;
    gender?: Gender;
    phone?: string | undefined;
}
export declare enum PaymentStatus {
    None = "None",
    Pending = "Pending",
    Confirmed = "Confirmed",
    NotConfirmed = "NotConfirmed",
    Canceled = "Canceled",
    PreAuthorized = "PreAuthorized"
}
export interface PersonRecord extends Record {
    readonly recordTypeName?: string | undefined;
    userId?: number;
    treatment?: string | undefined;
    firstName?: string | undefined;
    lastName?: string | undefined;
    email?: string | undefined;
    phone?: string | undefined;
    gender?: Gender;
    birthDate?: Date;
    documents?: Document[] | undefined;
    membershipProgram?: FrequentFlyer;
    [key: string]: any;
}
export interface Phone {
    countryCallingCode?: string | undefined;
    countryCode?: string | undefined;
    areaCode?: string | undefined;
    phoneNumber?: string | undefined;
    contactType?: ContactPhoneType;
}
export interface Point {
    type?: string | undefined;
    coordinates?: number[] | undefined;
    x?: number;
    y?: number;
}
export interface ProjectionField {
    fieldName?: string | undefined;
    exclude?: boolean;
}
export interface QueryRecordsRQ {
    expression?: string | undefined;
    sortingFields?: SortingField[] | undefined;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface QueryTracePaginationParameters extends PaginationParameters {
    limit?: number;
}
export interface RecordQuery extends DBRecord {
    name?: string | undefined;
    queryDefinition?: PredicateItem;
    projectionFields?: ProjectionField[] | undefined;
    sortingFields?: SortingField[] | undefined;
}
export interface RecordType extends DBRecord {
    name?: string | undefined;
    fields?: FieldDefinition[] | undefined;
    recordTypedName?: string | undefined;
    recordTypedContract?: string | undefined;
}
export interface Relationship {
    recordId?: number;
    relationshipType?: RelationshipTypes;
}
export declare enum RelationshipTypes {
    Associated = "Associated"
}
export interface Remark {
    text?: string | undefined;
    restrict?: boolean;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
}
export declare enum ReservationStatus {
    Booked = "Booked",
    Canceled = "Canceled",
    BookPending = "BookPending",
    Queued = "Queued",
    CancellationPending = "CancellationPending",
    Rejected = "Rejected",
    TechnicalProblem = "TechnicalProblem"
}
export declare enum ReservationType {
    Air = "Air",
    Hotel = "Hotel",
    Services = "Services",
    Car = "Car",
    Insurance = "Insurance",
    Cruise = "Cruise",
    CruiseGroup = "CruiseGroup",
    Bus = "Bus"
}
export interface SSR {
    code?: string | undefined;
    airCompanyCode?: string | undefined;
    text?: string | undefined;
    travellerName?: string | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
}
export interface SabreCredential extends Credential {
    readonly supplierSystemName?: string | undefined;
    connectionName?: string | undefined;
    username?: string | undefined;
    password?: string | undefined;
    url?: string | undefined;
    pcc?: string | undefined;
    ipcc?: string | undefined;
    suffix?: string | undefined;
    jumpPCC?: string | undefined;
    iata?: string | undefined;
    infoSource?: string | undefined;
    pccForAuth?: string | undefined;
    itins?: string | undefined;
}
export declare enum SeatStatus {
    Pending = "Pending",
    Charged = "Charged",
    NotChargeable = "NotChargeable",
    Cancelled = "Cancelled"
}
export interface SortingField {
    fieldName?: string | undefined;
    ascendingSort?: boolean;
}
export interface Supplier extends DBRecord {
    name?: string | undefined;
    identifier?: string | undefined;
    url?: string | undefined;
    logoUrl?: string | undefined;
}
export interface SupplierCredential extends CredentialSupplierCredential {
}
export interface SupplierCredentialRQ_1 extends BaseRQ {
    accountId: number;
    name: string;
    credential: T_CRED;
}
export interface SupplierCredential_1 extends BaseProfileRecord {
    name?: string | undefined;
    credential?: T;
}
export interface T {
    readonly supplierSystemName?: string | undefined;
    travelAgencyContactInformation?: CompanyContactInformation;
    maxSessionPoolConnections?: number;
    isProductionEnvironment?: boolean;
    credentialPublicFare?: Credential;
}
export interface TSA {
    birthDate?: Date | undefined;
    gender?: Gender;
    redressNumber?: string | undefined;
    travellerName?: string | undefined;
}
export interface T_CRED {
    readonly supplierSystemName?: string | undefined;
    travelAgencyContactInformation?: CompanyContactInformation;
    maxSessionPoolConnections?: number;
    isProductionEnvironment?: boolean;
    credentialPublicFare?: Credential;
}
export interface TicketsPaymentsRelationship {
    paymentIdentifications?: string[] | undefined;
    ticketNumbers?: string[] | undefined;
}
export interface Trace extends DBRecord {
    provider?: string | undefined;
    location?: string | undefined;
    fileName?: string | undefined;
    filePath?: string | undefined;
    traceInfos?: {
        [key: string]: any;
    } | undefined;
}
export interface TravellerBasicInfo {
    ageGroup?: AgeGroup;
}
export interface Traveller extends TravellerBasicInfo {
    firstName?: string | undefined;
    middleName?: string | undefined;
    lastName?: string | undefined;
    nationality?: string | undefined;
    gender?: Gender;
    birthDate?: Date | undefined;
    externalProperties?: {
        [key: string]: string;
    } | undefined;
    loyaltyCode?: string | undefined;
    documents?: Document[] | undefined;
    redressNnumber?: string | undefined;
    contactInformation?: ContactInformation;
    readonly fullName?: string | undefined;
}
export interface TripAPIOrder extends DBRecord {
    accountId?: number;
    callId?: string | undefined;
    tripAPIReservations?: TripAPIReservation[] | undefined;
}
export interface TripAPIReservation extends DBRecord {
    tripAPIOrderId?: number | undefined;
    createdByTripAPI?: boolean;
    reservation?: Reservation;
}
export interface TripRecord extends Record {
    readonly recordTypeName?: string | undefined;
    readonly origin?: string | undefined;
    readonly destination?: string | undefined;
    readonly startDate?: Date | undefined;
    [key: string]: any;
}
export declare enum TripType {
    OneWay = "OneWay",
    RoundTrip = "RoundTrip",
    MultiDestination = "MultiDestination"
}
export interface User extends BaseProfileRecord {
    avatar?: string | undefined;
    email?: string | undefined;
    externalIdentifier?: string | undefined;
    name?: string | undefined;
    invitedAccepted?: boolean;
    invitedTime?: Date;
    culture?: string | undefined;
}
export interface UserGroup extends BaseProfileRecord {
    name?: string | undefined;
}
export interface UserGroupRQ extends BaseRQ {
    active?: boolean;
    accountId: number;
    name: string;
}
export interface UserGroupRS extends BaseRS {
    name?: string | undefined;
}
export interface UserGroupRSQueryRecordsRS {
    records?: UserGroupRS[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export interface UserRQ extends BaseRQ {
    accountId: number;
    email: string;
    externalIdentifier?: string | undefined;
    name: string;
    invitedAccepted?: boolean;
}
export interface UserRS extends BaseRS {
    avatar?: string | undefined;
    email?: string | undefined;
    externalIdentifier?: string | undefined;
    name?: string | undefined;
    invitedAccepted?: boolean;
}
export interface UserRSQueryRecordsRS {
    records?: UserRS[] | undefined;
    pageNumber?: number;
    totalPages?: number;
    totalRecords?: number;
    paginationParameters?: QueryTracePaginationParameters;
}
export declare class ApiException extends Error {
    message: string;
    status: number;
    response: string;
    headers: {
        [key: string]: any;
    };
    result: any;
    constructor(message: string, status: number, response: string, headers: {
        [key: string]: any;
    }, result: any);
    protected isApiException: boolean;
    static isApiException(obj: any): obj is ApiException;
}
