import { ForwardedRef } from 'react';
import { z } from 'zod';
export interface Phone {
    country: string;
    iso: string;
    number: string;
}
export interface PhoneNumberInputProps {
    className?: string;
    label?: string;
    placeholder?: string;
    value: Phone;
    error?: boolean;
    required?: boolean;
    onChange(phone: Phone): any;
}
export declare const phoneNumberScheme: z.ZodEffects<z.ZodObject<{
    country: z.ZodOptional<z.ZodString>;
    number: z.ZodOptional<z.ZodString>;
    iso: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    country?: string;
    number?: string;
    iso?: string;
}, {
    country?: string;
    number?: string;
    iso?: string;
}>, {
    country?: string;
    number?: string;
    iso?: string;
}, {
    country?: string;
    number?: string;
    iso?: string;
}>;
export default function PhoneNumberInput(props: PhoneNumberInputProps, ref: ForwardedRef<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
export declare function sanitizePhone(phone: string): string;
export declare function getCountryNameByIso(iso: string): string;
